> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a document (PDF, max 10 MB)



## OpenAPI

````yaml /api-reference/platform-api.json post /v2/counterparties/{id}/documents
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.6.1
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
paths:
  /v2/counterparties/{id}/documents:
    post:
      tags:
        - Counterparties
      summary: Upload a document (PDF, max 10 MB)
      operationId: uploadDocument
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UploadDocumentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CounterpartyDocumentDto'
components:
  schemas:
    UploadDocumentDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - kyc
            - kyb
            - contract
            - other
          example: kyb
          description: Document type
        name:
          type: string
          example: certificate_of_incorporation.pdf
          description: Override file name
      required:
        - type
    CounterpartyDocumentDto:
      type: object
      properties:
        id:
          type: string
          example: doc-001
        name:
          type: string
          example: certificate_of_incorporation.pdf
        type:
          type: string
          example: kyb
          enum:
            - kyc
            - kyb
            - contract
            - other
        mime_type:
          type: string
          example: application/pdf
        size_bytes:
          type: number
          example: 245000
        uploaded_at:
          type: string
          example: '2026-05-10T09:00:00Z'
      required:
        - id
        - name
        - type
        - mime_type
        - size_bytes
        - uploaded_at
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````